//	TonesGlobalData.cpp - Class holding the game's global data.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "TonesGlobalData.h"

//------------------------------------------------------------------------------
TonesGlobalData::TonesGlobalData():
pure(false),
zen(false),
low(true)
{
	gameCounter = shared_ptr<GameCounter>(new GameCounter());
}

//------------------------------------------------------------------------------
TonesGlobalData::~TonesGlobalData()
{

}

//------------------------------------------------------------------------------
void TonesGlobalData::setPure(bool val)
{
	pure = val;
}

//------------------------------------------------------------------------------
void TonesGlobalData::setZen(bool val)
{
	zen = val;
}

//------------------------------------------------------------------------------
void TonesGlobalData::setLow(bool val)
{
	low = val;
}

//------------------------------------------------------------------------------
void TonesGlobalData::updateChallengeScores(int val)
{
	highScore.setChallengeScore(val);
}

//------------------------------------------------------------------------------
void TonesGlobalData::updateTimeAttackScores(int val)
{
	highScore.setTimeAttackScore(val);
}
